Skip to main content
POST

Authorizations

x-arms-api-key
string
header
required

Your ARMS API key

x-arms-assume-user
string
header
required

Email of a user assigned to the appropriate user group

Query Parameters

carrierId
integer
required

Carrier identifier; required for all endpoints

viewAsUserGroup
string

Optional user group context

Body

application/json

Request body for updating equipment notes. Provide either (equipmentIds + notes) for bulk updates, or an updates array for per-equipment notes.

carrierId
integer

Carrier identifier.

equipmentIds
integer[]

List of equipment IDs to update with the same note. Used with the notes field.

notes
string | null

Note text to apply to all equipmentIds.

Maximum string length: 280
updates
object[]

Per-equipment note updates. Use this for setting different notes on different equipment.

Response

OK

Response after updating equipment notes.

equipment
object[]

Updated equipment objects with new notes.